<script setup lang="ts">
const categories = await useBlogCategories();
const groupedPosts = await useRelatedBlogPosts();
const { mainFeaturedPost, recentFeaturedPosts, recentPosts } = await useHomeBlogPosts();
</script>

<template>
  <div>
    <BlogHomeHero :main-post="mainFeaturedPost" :featured-list="recentFeaturedPosts" />
    <BlogHomeSearch :categories="categories" />
    <BlogHomeNewsletterForm />
    <BlogPostGrid v-if="recentPosts.length" :posts="recentPosts" :header="'Recent Posts'" />
    <BlogHomeCategories v-if="groupedPosts.length" :grouped-posts="groupedPosts" />
  </div>
</template>
